Tag Parser: TagParser::SliceInfo Struct Reference

Tag Parser 12.5.2 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TagParser::SliceInfo Struct Reference

The SliceInfo struct holds the slice information of an AVC frame. More...

`#include <avcinfo.h>`

## Public Member Functions
constexpr | SliceInfo ()

## Public Attributes
std::uint8_t | naluType
std::uint8_t | naluRefIdc
std::uint8_t | type
std::uint8_t | ppsId
std::uint32_t | frameNum
bool | fieldPicFlag
bool | bottomFieldFlag
std::uint32_t | idrPicId
std::uint32_t | picOrderCntLsb
std::uint32_t | deltaPicOrderCntBottom
std::uint32_t | deltaPicOrderCnt [2]
std::uint32_t | firstMbInSlice
std::uint32_t | sps
std::uint32_t | pps

## Detailed Description

The SliceInfo struct holds the slice information of an AVC frame.

Remarks
  currently not useful, might be removed

Definition at line 141 of file avcinfo.h.

## Constructor & Destructor Documentation

## ◆ SliceInfo()

TagParser::SliceInfo::SliceInfo | ( |  | ) |
| constexpr

Definition at line 159 of file avcinfo.h.

## Member Data Documentation

## ◆ bottomFieldFlag

bool TagParser::SliceInfo::bottomFieldFlag

Definition at line 149 of file avcinfo.h.

## ◆ deltaPicOrderCnt

std::uint32_t TagParser::SliceInfo::deltaPicOrderCnt[2]

Definition at line 153 of file avcinfo.h.

## ◆ deltaPicOrderCntBottom

std::uint32_t TagParser::SliceInfo::deltaPicOrderCntBottom

Definition at line 152 of file avcinfo.h.

## ◆ fieldPicFlag

bool TagParser::SliceInfo::fieldPicFlag

Definition at line 148 of file avcinfo.h.

## ◆ firstMbInSlice

std::uint32_t TagParser::SliceInfo::firstMbInSlice

Definition at line 154 of file avcinfo.h.

## ◆ frameNum

std::uint32_t TagParser::SliceInfo::frameNum

Definition at line 147 of file avcinfo.h.

## ◆ idrPicId

std::uint32_t TagParser::SliceInfo::idrPicId

Definition at line 150 of file avcinfo.h.

## ◆ naluRefIdc

std::uint8_t TagParser::SliceInfo::naluRefIdc

Definition at line 144 of file avcinfo.h.

## ◆ naluType

std::uint8_t TagParser::SliceInfo::naluType

Definition at line 143 of file avcinfo.h.

## ◆ picOrderCntLsb

std::uint32_t TagParser::SliceInfo::picOrderCntLsb

Definition at line 151 of file avcinfo.h.

## ◆ pps

std::uint32_t TagParser::SliceInfo::pps

Definition at line 156 of file avcinfo.h.

## ◆ ppsId

std::uint8_t TagParser::SliceInfo::ppsId

Definition at line 146 of file avcinfo.h.

## ◆ sps

std::uint32_t TagParser::SliceInfo::sps

Definition at line 155 of file avcinfo.h.

## ◆ type

std::uint8_t TagParser::SliceInfo::type

Definition at line 145 of file avcinfo.h.

The documentation for this struct was generated from the following file:

- avc/avcinfo.h